Skip to main content
GET
/
payments
/
{id}
Retrieve a payment
curl --request GET \
  --url https://api.contazen.ro/v1/payments/{id} \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": {
    "id": "<string>",
    "object": "payment",
    "amount": 123,
    "currency": "<string>",
    "date": "2023-12-25",
    "type": "receipt",
    "type_description": "<string>",
    "reference": "<string>",
    "invoice": {
      "id": "<string>",
      "number": "<string>",
      "total": 123,
      "currency": "<string>"
    },
    "client": {
      "id": "<string>",
      "name": "<string>"
    },
    "created_at": 123
  },
  "meta": {
    "version": "v1",
    "request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "response_time": "23.45ms"
  }
}

Authorizations

Authorization
string
header
required

Use your API key (sk_live_xxx or sk_test_xxx)

Path Parameters

id
string
required

Response

Payment details

success
boolean
data
object
meta
object